Bug 75282 - No curses/termcap library found
No curses/termcap library found
Product: Red Hat Linux
Classification: Retired
Component: ncurses (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-10-06 15:16 EDT by Need Real Name
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-20 16:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-06 15:16:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
Problem configuring MySQL-3.23.52 from source code on Red Hat 8.0 being unable 
to locate the libncurses library.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Unpacking the source code for MySQL-3.23.52
2. Running ./configure

Actual Results:  The following error message occurred and thus stopped 
the "configure" process

checking for termcap functions library... configure: error: No
curses/termcap library found

Expected Results:  It should configure, so I can "make" then "make install"

Additional info:

I managed to workaround this with either:

./configure --with-named-curses-libs=/usr/lib/libncurses.so.5.2

or running

ln -s /usr/lib/libncurses.so.5.2 /usr/lib/libncurses.so

before being able to do "./configure" without arguments.  This symbolic link 
existed by default in previous versions.
Comment 1 Miloslav Trmac 2002-10-06 17:16:19 EDT
works for me:

$ ll /usr/lib/libncurses.so
lrwxrwxrwx    1 root     root           15 xmj  5 05:05 /usr/lib/libncurses.so
-> libncurses.so.5
$ rpm -qf /usr/lib/libncurses.so
Comment 2 Eido Inoue 2003-01-20 16:52:25 EST
works for me as well. the loader should be making that symbolic link for you.

Note You need to log in before you can comment on or make changes to this bug.